About Store Forum Documentation Contact
Donations:
289$/mo



Post Reply 
support for new xCode version needed.
Author Message
yvanvds Offline
Silver Supporter

Post: #1
support for new xCode version needed.
Hey.

I just updated xcode, which seemed needed to publish a new app for iOS (iphone 6 issues...)

But now I get this compile error:

PHP Code:
ldwarningignoring file /esenthel 3.0/Bin/EsenthelEngine Device.amissing required architecture i386 in file /esenthel 3.0/Bin/EsenthelEngine Device.(2 slices)
Undefined symbols for architecture i386:
  
"_fopen$UNIX2003"referenced from:
      
_ov_fopen in EsenthelEngine Simulator.a(vorbisfile.o)
  
"_fwrite$UNIX2003"referenced from:
      
_png_default_write_data in EsenthelEngine Simulator.a(pngwio.o)
      
_write_backing_store in EsenthelEngine Simulator.a(jmemansi.o)
  
"_strerror$UNIX2003"referenced from:
      
_TIFFOpen in EsenthelEngine Simulator.a(tif_unix.o)
ldsymbol(snot found for architecture i386
clang
errorlinker command failed with exit code 1 (use -v to see invocation

Any chance you can fix this, Greg?

Thanks & regards,

yvan
09-23-2014 05:23 PM
Find all posts by this user Quote this message in a reply
Esenthel Offline
Administrator

Post: #2
RE: support for new xCode version needed.
Hi,

Of course I plan to add support for iOS 8.0 asap.
Most likely this will take still some time, as I'm working still on the engine optimization.
09-24-2014 10:52 AM
Find all posts by this user Quote this message in a reply
MrPi Offline
Member

Post: #3
RE: support for new xCode version needed.
Are you aware that new XCode versions are required to submit an app there?
So this should be of utmost priority, as we won't be able to submit our apps to the store.
09-28-2014 10:30 AM
Find all posts by this user Quote this message in a reply
yvanvds Offline
Silver Supporter

Post: #4
RE: support for new xCode version needed.
I'd mostly blame apple for all their silly requirements, but at the moment it is outright frustrating to get an app ready for the app store. I am mainly working on Windows and testing on Android, but at the point where i have to submit an app for iOS, this are the steps I need to take:

1. The mac version of esenthel has to be recompiled to disable addmob. If you're not used to work with xCode, this already takes a lot time. (I just discovered i have to compile for profiling to get a release version of the engine...)

2. If I want to sync my code with esenthel server, I have to make sure they have the same version. This often means I also have to rebuild the windows version after I synced the mac version with github.

After that I still have to fake screenshots for the new iPhones, probably add some custom icons and change some obscure settings in the xcode build file. After about 5 failed validations i get an app submitted most of the time. That's to say, if MrPi is wrong and the previous xcode version is still ok.

All in all, it mostly takes me a day to get the app ready for the store.

I know you're busy, Gregg. It's just that a gravitational force is building up from the window, and my mac laptop is slowly pulled in that direction :-)
09-28-2014 02:42 PM
Find all posts by this user Quote this message in a reply
Esenthel Offline
Administrator

Post: #5
RE: support for new xCode version needed.
Haha smile
Maybe my answer wasn't clear enough, so let me just clarify it again, iOS 8 support is next on my list as soon as I'm done with what I'm working on right now. The optimization is complete, now I need to test it, and fix something else that's unrelated. So it should be available soon.
I'll look into the admob thing after that.
09-29-2014 12:54 AM
Find all posts by this user Quote this message in a reply
Esenthel Offline
Administrator

Post: #6
RE: support for new xCode version needed.
The good news is that I've finished all tasks and can now proceed to iOS 8 wink
10-01-2014 01:41 PM
Find all posts by this user Quote this message in a reply
yvanvds Offline
Silver Supporter

Post: #7
RE: support for new xCode version needed.
Thanks a lot! Much appreciated.
10-02-2014 01:15 PM
Find all posts by this user Quote this message in a reply
MrPi Offline
Member

Post: #8
RE: support for new xCode version needed.
Great stuff.
10-02-2014 01:23 PM
Find all posts by this user Quote this message in a reply
aceio76 Offline
Silver Supporter

Post: #9
RE: support for new xCode version needed.
iOS8, here we come!
10-02-2014 01:27 PM
Visit this user's website Find all posts by this user Quote this message in a reply
Esenthel Offline
Administrator

Post: #10
RE: support for new xCode version needed.
Great news! smile I was able to solve the AdMob problem, now it won't be linked with when the app doesn't use any Ads.
Please don't forget to recompile the engine and create new "engine.pak" using the builder too.
10-03-2014 10:04 AM
Find all posts by this user Quote this message in a reply
yvanvds Offline
Silver Supporter

Post: #11
RE: support for new xCode version needed.
I can confirm that iOS works again and can be submitted to the appstore. Thanks again!

One minor flaw: I cannot use the device simulator any more. It's not that important to me (I only use it to get screenshots from the app on different devices, like apple requires) but I thought you'd might want to know.

I get these errors:

PHP Code:
Ld curvices\ -\ novembermusic.app/curvices\ -\ novembermusic normal i386
    cd 
"/esenthel 3.0/Projects/_Build_/curvices - november music"
    
export IPHONEOS_DEPLOYMENT_TARGET=4.3
    export PATH
="/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneSimulator.platform/Developer/usr/bin:/Applications/Xcode.app/Contents/Developer/usr/bin:/usr/bin:/bin:/usr/sbin:/sbin"
    
/Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctool
chain
/usr/bin/clang++ -arch i386 -isysroot 
/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneSimulator.plat
form
/Developer/SDKs/iPhoneSimulator8.0.sdk -L/esenthel
3.0/Projects/_Build_/curvices\ -\ novembermusic -F/esenthel
3.0/Projects/_Build_/curvices\ -\ novembermusic -filelist /esenthel
3.0/Projects/_Build_/curvices\ -\ november
music/build/Project.build/Debug-iphonesimulator/iOS.build/Objects-
normal/i386/curvices\ -\ novembermusic.LinkFileList -Xlinker objc_abi_version -Xlinker 2 -framework QuartzCore -framework UIKit -
framework Foundation -framework CoreMotion -framework CoreLocation -
framework CoreGraphics -framework CoreTelephony -framework 
AudioToolbox 
-framework AVFoundation -framework SystemConfiguration -
framework MessageUI -framework AdSupport -framework OpenGLES -
framework OpenAL -lz -Xlinker -no_implicit_dylibs -mios-simulator-version-
min=4.3 -framework StoreKit /esenthel3.0/Bin/EsenthelEngineDevice.
/esenthel3.0/Bin/EsenthelEngineSimulator.-Xlinker -dependency_info -
Xlinker /esenthel3.0/Projects/_Build_/curvices\ -\ november
music/build/Project.build/Debug-iphonesimulator/iOS.build/Objects-
normal/i386/curvices\ -\ novembermusic_dependency_info.dat -
/esenthel3.0/Projects/_Build_/curvices\ -\ novembermusic/curvices\ -\ 
novembermusic.app/curvices\ -\ novembermusic

ld
warningignoring file /esenthel 3.0/Bin/EsenthelEngine Device.amissing required architecture i386 in file /esenthel 3.0/Bin/EsenthelEngine Device.(2 slices)
Undefined symbols for architecture i386:
  
"_fopen$UNIX2003"referenced from:
      
_ov_fopen in EsenthelEngine Simulator.a(vorbisfile.o)
  
"_fwrite$UNIX2003"referenced from:
      
_png_default_write_data in EsenthelEngine Simulator.a(pngwio.o)
      
_write_backing_store in EsenthelEngine Simulator.a(jmemansi.o)
  
"_strerror$UNIX2003"referenced from:
      
_TIFFOpen in EsenthelEngine Simulator.a(tif_unix.o)
ldsymbol(snot found for architecture i386
clang
errorlinker command failed with exit code 1 (use -v to see invocation
10-08-2014 12:46 PM
Find all posts by this user Quote this message in a reply
Esenthel Offline
Administrator

Post: #12
RE: support for new xCode version needed.
Thank you!
I'll investigate this.
10-09-2014 12:23 AM
Find all posts by this user Quote this message in a reply
Post Reply